# STEPControl_StepModelType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | STEPControl_StepModelType { STEPControl_AsIs, STEPControl_ManifoldSolidBrep, STEPControl_BrepWithVoids, STEPControl_FacetedBrep, STEPControl_FacetedBrepAndBrepWithVoids, STEPControl_ShellBasedSurfaceModel, STEPControl_GeometricCurveSet, STEPControl_Hybrid }

## Enumeration Type Documentation

enum STEPControl_StepModelType

Enumeration values:

  STEPControl_AsIs |
  STEPControl_ManifoldSolidBrep |
  STEPControl_BrepWithVoids |
  STEPControl_FacetedBrep |
  STEPControl_FacetedBrepAndBrepWithVoids |
  STEPControl_ShellBasedSurfaceModel |
  STEPControl_GeometricCurveSet |
  STEPControl_Hybrid |